Files
shadow/tests/convtools/06_grpconv_error_group_locked/grpconv.test
2008-02-11 20:46:47 +00:00

63 lines
1.4 KiB
Bash
Executable File

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "grpconv tests if the group file is locked"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config; rm -f /etc/group.lock' 0
change_config
echo -n "Create lock file for /etc/group..."
touch /etc/group.lock
echo "done"
echo -n "Convert the group files (grpconv)..."
grpconv 2>tmp/grpconv.err && exit || {
status=$?
}
echo "OK"
echo -n "Delete lock file for /etc/group..."
rm -f /etc/group.lock
echo "done"
echo -n "Check returned status ($status)..."
test "$status" = "5"
echo "OK"
echo "grpconv reported:"
echo "======================================================================="
cat tmp/grpconv.err
echo "======================================================================="
echo -n "Check that there were a failure message..."
diff -au data/grpconv.err tmp/grpconv.err
echo "error message OK."
rm -f tmp/grpconv.err
echo -n "Check the passwd file..."
../../common/compare_file.pl data/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl data/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl data/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl data/gshadow /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0